Download it now!
Bug 104564 - CALC: More obvious way to indicate that multiple sheets are selected for editing
Summary: CALC: More obvious way to indicate that multiple sheets are selected for editing
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
: 34233 86136 96853 119272 (view as bug list)
Depends on:
Blocks: Calc-UX Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2016-12-10 18:14 UTC by catof
Modified: 2019-09-11 19:22 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description catof 2016-12-10 18:14:01 UTC
Description:
Hello,
Improvement proposal in Calc, Sheet management: would it be possible when several sheets are selected at the same time that it is more visually repeatable, currently the choice of white is very visible.
Possible solutions:
- the name of the selected sheets changes to bold
- The color of the tab of the selected sheets changes to dark gray (not white!)
- black borders around the tabs of the selected sheets
- black tabs and white sheet names
-

In advance thank you for studying my proposal
Good continuation, good courage and congratulations for what you do

Actual Results:  
Difficulty in locating selected sheets

Expected Results:
Better visibility when multiple sheets are selected


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Joel Madero 2016-12-10 19:27:24 UTC
Valid enhancement request. This is just confirming that it's a valid request, not guaranteeing that a volunteer will ever implement it. Thanks
Comment 2 m.a.riosv 2016-12-11 01:47:00 UTC Comment hidden (obsolete)
Comment 3 catof 2016-12-11 17:41:36 UTC Comment hidden (no-value)
Comment 4 Timur 2018-08-14 15:53:06 UTC
We have multiple requests for better visibility of multiple selected sheets. 
Let's split to Bug 88840 and this Bug 104564:

Here we have suggestions among which we need to choose:
1. title of all selected sheets changes to bold (but currently selected sheet should differentiate, so bold italic could do)
2. tab color of selected sheets changes to different color than usual selection for single selected tab (which is white now, suggested was darker gray)
3. borders around the tabs of the selected sheets (which is not consistent with single tab selection)
4. color inversion for selection so black tabs and white sheet names (but that should also be don for single sheet selection because of consistency)
Comment 5 Timur 2018-08-14 15:55:48 UTC
*** Bug 119272 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Lendo 2018-08-22 04:32:12 UTC
*** Bug 34233 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Lendo 2018-08-22 04:39:18 UTC
*** Bug 96853 has been marked as a duplicate of this bug. ***
Comment 8 Thomas Lendo 2018-08-22 04:39:51 UTC
*** Bug 86136 has been marked as a duplicate of this bug. ***
Comment 9 Thomas Lendo 2018-08-22 04:50:32 UTC
Please use the search function before filing a bug. We lost a nice old bug 34233 in favor of this one.


Comments from other dupe bug 96853:

baril_mathieu@hotmail.com 2016-01-01 23:04:34 CET

Since the default Libreoffice color scheme is light gray (15%ish?), it is very difficult to see selected tab(s) since they turn white.

Easiest fix would be to have default tab color that is something closer to a 50-60% gray

Comment 1 V Stuart Foote 2016-01-01 23:43:27 CET

Agree that contrast of the active Tab could be a bit higher for indicating the selected active sheet.  Current gray (inactive) and White (active) is a little muddled--but not that unreadable.

So for simplicity it might be appropriate to use the same--color and reversed font color--used for the selected active Column or Row on the active sheet Tab.

Default for those now is a pseudo Blue gradient (just 2 hues), and font color toggled white when active.


Comments from dupe bug 86136:

Kevin Suo 2014-11-11 04:20:50 CET

Created attachment 109258 [details]
screenshot

As the fix of bug 36772, now in version 4.4.0 the "tabs and scrollbar each in own row".

However, I find that when there are multiple tabs, the active one and the others are hard to distinguish. Please see attached screenshot.

This enhancement request is requesting to "shadow", or to draw a darker color, or any other improvements to make the active and non-active tabs distinguishable between each other.

See attached screenshot.

Comment 1 Kevin Suo 2014-11-25 04:24:54 CET

Created attachment 109976 [details]
how ms excel 2010 distinguish sheet tabs

I find that in Calc the current default sheet tab color is the color set by the theme. This is always a good idea. So it's better to try another way to distinguish the tabs, rather than changing the color.

Attached is a screenshot showing how MS Excel distinguish sheet tabs. Excel distinguishes tabs by applying different left and right borders ("|" style and "/" style).

Comment 2 Kevin Suo 2014-11-25 04:32:01 CET

Another reason the tabs are hard to distinguish is because of the horizontal scroll bar.

When a sheet is selected, it's upper border is "open" (no upper boder), but while the scroll bar is there, it makes the tabs look like there is still a border above. 

Please compare attachment 109258 [details] and attachment 109976 [details].
Comment 10 Thomas Lendo 2019-09-11 19:22:39 UTC
I think this issue was fixed with the commits for bug 124572 "tabs in calc (for sheets) and draw (for layer) style" introduced with LibreOffice 6.3

Version: 6.4.0.0.alpha0+
Build ID: f76dbe5dc581845996a8bd5f5109c5e2ff5a27b0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-09-09_05:13:31

I set this bug to RESOLVED WORKSFORME.

If you think this issue isn't fixed enough, please reopen as NEW and argue why and what is needed.